Bug 235942 - [PATCH] Mk/Uses/php.mk remove mysql_DEPENDS
Summary: [PATCH] Mk/Uses/php.mk remove mysql_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on: 235940 238100
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-22 16:04 UTC by Miroslav Lachman
Modified: 2019-05-24 15:25 UTC (History)
3 users (show)

See Also:
tobik: maintainer-feedback? (ale)


Attachments
remove mysql_DEPENDS (506 bytes, patch)
2019-02-22 16:04 UTC, Miroslav Lachman
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2019-02-22 16:04:29 UTC
Created attachment 202268 [details]
remove mysql_DEPENDS

Remove mysql_DEPENDS from Mk/Uses/php.mk because current PHP versions 7.x no longer have extension php7?-mysql, only php7?-mysqli.
Comment 1 Alex Dupre freebsd_committer 2019-02-23 07:55:56 UTC
It'd be nice to have a patch that removes all USE_PHP=mysql from the ports tree, it looks like there are ports that still have it.
Comment 2 Miroslav Lachman 2019-02-23 14:02:49 UTC
(In reply to Alex Dupre from comment #1)
Quick serach gives me this ports

www/phprecipebook/Makefile:27:MYSQL_USE=     PHP=mysql
net-mgmt/nagvis/Makefile:41:NDO2DB_USE=                      PHP=mysql
security/base/Makefile:32:MYSQL_USE= MYSQL=yes PHP=mysql
devel/flyspray/Makefile:51:MYSQL_USE=        PHP=mysql
databases/pear-Horde_Db/Makefile:21:MYSQL_USE=       PHP=mysql

Some of them seems dead and will not work with PHP 7.x:
www/phprecipebook - the port was not updated for the last 7 years; upstream released last version in 2015 (not supporting PHP 7.2?)
devel/flyspray - the port was not updated for the last 7 years; upstream has version 1.0-rc7 with PHP 7.2 support
security/base - the last update to port in 2010, the update upstream in 2010 (not supporting PHP 7.2?)

net-mgmt/nagvis - probably remove option NDO2DB?

databases/pear-Horde_Db - just remove MYSQL_USE=       PHP=mysql, leave MYSQLI_USE

Only pear-Horde_Db is simple. What should be done to the other ports?
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-02-23 15:13:18 UTC
Found this:

www/pivotx/Makefile:USE_PHP+=	mysql
www/Stikked/Makefile:USE_PHP+=	mysql
www/codeigniter/Makefile:MYSQL_VARS=	USE_PHP+=mysql
net-mgmt/zabbix22-frontend/Makefile:USE_PHP+=	mysql
net-mgmt/zabbix3-frontend/Makefile:USE_PHP+=	mysql
net-mgmt/zabbix32-frontend/Makefile:USE_PHP+=	mysql
net-mgmt/zabbix34-frontend/Makefile:USE_PHP+=	mysql
Comment 4 commit-hook freebsd_committer 2019-05-24 11:30:48 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 11:30:22 UTC 2019
New revision: 502451
URL: https://svnweb.freebsd.org/changeset/ports/502451

Log:
  www/codeigniter: Drop broken MYSQL option

  USE_PHP=mysql no longer works.

  PR:		235942

Changes:
  head/www/codeigniter/Makefile
Comment 5 Tobias Kortkamp freebsd_committer 2019-05-24 12:28:21 UTC
Comment on attachment 202268 [details]
remove mysql_DEPENDS

Alex, can you please approve this patch?  All ports that had USE_PHP=mysql
no longer have it or were switched to USE_PHP=mysqli.
Comment 6 commit-hook freebsd_committer 2019-05-24 12:34:54 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 12:34:16 UTC 2019
New revision: 502460
URL: https://svnweb.freebsd.org/changeset/ports/502460

Log:
  devel/flyspray: Remove broken MYSQL option

  USE_PHP=mysql no longer works.

  PR:		235942

Changes:
  head/devel/flyspray/Makefile
Comment 7 commit-hook freebsd_committer 2019-05-24 12:40:02 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 12:39:28 UTC 2019
New revision: 502463
URL: https://svnweb.freebsd.org/changeset/ports/502463

Log:
  security/base: Remove broken MYSQL option

  USE_PHP=mysql no longer works.

  PR:		235942

Changes:
  head/security/base/Makefile
Comment 8 commit-hook freebsd_committer 2019-05-24 12:48:13 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 12:47:17 UTC 2019
New revision: 502465
URL: https://svnweb.freebsd.org/changeset/ports/502465

Log:
  databases/pear-Horde_Db: Remove broken MYSQL option

  USE_PHP=mysql is no longer supported.

  PR:		235942

Changes:
  head/databases/pear-Horde_Db/Makefile
Comment 9 commit-hook freebsd_committer 2019-05-24 12:50:17 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 12:49:22 UTC 2019
New revision: 502466
URL: https://svnweb.freebsd.org/changeset/ports/502466

Log:
  www/phprecipebook: Remove broken MYSQL option

  PHP 5.6 is gone and USE_PHP=mysql is no longer supported.

  PR:		235942

Changes:
  head/www/phprecipebook/Makefile
Comment 10 Tobias Kortkamp freebsd_committer 2019-05-24 12:50:56 UTC
(In reply to Tobias Kortkamp from comment #5)
> Comment on attachment 202268 [details]
> remove mysql_DEPENDS
> 
> Alex, can you please approve this patch?  All ports that had USE_PHP=mysql
> no longer have it or were switched to USE_PHP=mysqli.

Missed a bunch, of course. ;-)  But I hope I got them all this time.
Comment 11 Alex Dupre freebsd_committer 2019-05-24 15:09:46 UTC
I approve it
Comment 12 commit-hook freebsd_committer 2019-05-24 15:24:24 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 15:24:20 UTC 2019
New revision: 502477
URL: https://svnweb.freebsd.org/changeset/ports/502477

Log:
  Mk/Uses/php.mk: Drop unused mysql_DEPENDS

  PR:		235942
  Submitted by:	Miroslav Lachman <000.fbsd@quip.cz>
  Approved by:	ale (maintainer)

Changes:
  head/Mk/Uses/php.mk
Comment 13 Tobias Kortkamp freebsd_committer 2019-05-24 15:25:02 UTC
Thanks.